Subject: bug#12702: closed (Re: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Oct 2012 13:32:04 +0000

Your bug report

#12702: 24.2; Orgmode Refile complains "Not bookmark format"

which was filed against the emacs,org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12702: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12702
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"
From: Bastien <[email-masked]>
To: Jonathan Schaeffer <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Wed, 24 Oct 2012 15:29:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jonathan,

Jonathan Schaeffer <[email-masked]> writes:

>> Perhaps Org could trap and report such errors more gracefully.
>>
> The error message makes sense ... as soon as you know where the problem
> comes from :)

I enhanced the error message, which now says to save the buffer in a
file when refiling to the current non-file buffer.

(Reporting an error when the bookmark format is corrupted is left to
the bookmark library.)

I'm closing this bug now.

Thanks for reporting this!

-- 
 Bastien

Subject: 24.2; Orgmode Refile complains "Not bookmark format"
From: Jonathan Schaeffer <[email-masked]>
To: [email-masked]
Date: Mon, 22 Oct 2012 16:52:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi list,

I came accross an annoying bug whith orgmode and remember mode.

To reproduce :

Create a .org file, create 2 level-1 entries. Create one level-2 entry
and hit C-c C-w to refile it into the other level-1 entry.

Like this :

* Entry One
* Entry Two
** Refile Me

The level-2 entry is copied in the correct location but is not removed
from original location.
Minibuffer shows message "Not Bookmark Format". And the file looks like :

* Entry One
** Refile Me
* Entry Two
** Refile Me

The error message is triggered by remember mode from orgmode, so I
don't know where the bug is (orgmode, remember or emacs ?).

In GNU Emacs 24.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.4)
  of 2012-08-28 on shaun
Windowing system distributor `The X.Org Foundation

cheers,
-- 
Jonathan Schaeffer
IUEM - Service Informatique
rue Dumont D'Urville
Technopôle Brest-Iroise
29280 Plouzané
France
tel: +33 2 98 49 87 94